#!/usr/bin/env python

from setuptools import setup
from setuptools.command.install import install as _install

class install(_install):
    def pre_install_script(self):
        pass

    def post_install_script(self):
        pass

    def run(self):
        self.pre_install_script()

        _install.run(self)

        self.post_install_script()

if __name__ == '__main__':
    setup(
        name = 'pybuilder',
        version = '0.12.0.dev20190113131223',
        description = 'PyBuilder',
        long_description = 'PyBuilder\n=========\n\n`PyBuilder <http://pybuilder.github.io>`__\n\n|Gitter| |Build Status| |Windows build status| |PyPI version| |Coverage\nStatus| |Ready in backlog| |Open bugs|\n\nPyBuilder is a software build tool written in 100% pure Python, mainly\ntargeting Python applications.\n\nPyBuilder is based on the concept of dependency based programming, but\nit also comes with a powerful plugin mechanism, allowing the\nconstruction of build life cycles similar to those known from other\nfamous (Java) build tools.\n\nPyBuilder is running on the following versions of Python: 2.7, 3.4, 3.5,\n3.6, 3.7, PyPy 2.7, and PyPy 3.5.\n\nSee the `Travis Build <https://travis-ci.org/pybuilder/pybuilder>`__ for\nversion specific output.\n\nInstalling\n----------\n\nPyBuilder is available using pip:\n\n::\n\n    $ pip install pybuilder\n\nFor development builds use:\n\n::\n\n    $ pip install --pre pybuilder\n\nSee the `Cheeseshop\npage <https://warehouse.python.org/project/pybuilder/>`__ for more\ninformation.\n\nGetting started\n---------------\n\nPyBuilder emphasizes simplicity. If you want to build a pure Python\nproject and use the recommended directory layout, all you have to do is\ncreate a file build.py with the following content:\n\n.. code:: python\n\n    from pybuilder.core import use_plugin\n\n    use_plugin("python.core")\n    use_plugin("python.unittest")\n    use_plugin("python.coverage")\n    use_plugin("python.distutils")\n\n    default_task = "publish"\n\nSee the `PyBuilder homepage <http://pybuilder.github.com/>`__ for more\ndetails and a list of plugins.\n\nRelease Notes\n-------------\n\nThe release notes can be found\n`here <http://pybuilder.github.com/releasenotes/>`__. There will also be\na git tag with each release. Please note that we do not currently\npromote tags to GitHub "releases".\n\nDevelopment\n-----------\n\nSee `developing\nPyBuilder <http://pybuilder.github.io/documentation/developing_pybuilder.html>`__\n\n.. |Gitter| image:: https://badges.gitter.im/pybuilder/pybuilder.svg\n   :target: https://gitter.im/pybuilder/pybuilder\n.. |Build Status| image:: https://secure.travis-ci.org/pybuilder/pybuilder.png?branch=master\n   :target: http://travis-ci.org/pybuilder/pybuilder\n.. |Windows build status| image:: https://ci.appveyor.com/api/projects/status/5jhel32oppeoqmw6/branch/master?svg=true\n   :target: https://ci.appveyor.com/project/arcivanov/pybuilder-yl8px/branch/master\n.. |PyPI version| image:: https://badge.fury.io/py/pybuilder.png\n   :target: https://warehouse.python.org/project/pybuilder/\n.. |Coverage Status| image:: https://coveralls.io/repos/pybuilder/pybuilder/badge.png?branch=master\n   :target: https://coveralls.io/r/pybuilder/pybuilder?branch=master\n.. |Ready in backlog| image:: https://badge.waffle.io/pybuilder/pybuilder.png?label=ready&title=Ready\n   :target: https://waffle.io/pybuilder/pybuilder\n.. |Open bugs| image:: https://badge.waffle.io/pybuilder/pybuilder.png?label=bug&title=Open%20Bugs\n   :target: https://waffle.io/pybuilder/pybuilder\n',
        author = 'Alexander Metzner, Maximilien Riehl, Michael Gruber, Udo Juettner, Marcel Wolf, Arcadiy Ivanov, Valentin Haenel',
        author_email = 'alexander.metzner@gmail.com, max@riehl.io, aelgru@gmail.com, udo.juettner@gmail.com, marcel.wolf@me.com, arcadiy@ivanov.biz, valentin@haenel.co',
        license = 'Apache License',
        url = 'http://pybuilder.github.io',
        scripts = ['scripts/pyb'],
        packages = [
            'pybuilder',
            'pybuilder.plugins',
            'pybuilder.pluginhelper',
            'pybuilder.plugins.python'
        ],
        namespace_packages = [],
        py_modules = [],
        classifiers = [
            'Programming Language :: Python',
            'Programming Language :: Python :: Implementation :: CPython',
            'Programming Language :: Python :: Implementation :: PyPy',
            'Programming Language :: Python :: 2',
            'Programming Language :: Python :: 2.7',
            'Programming Language :: Python :: 3',
            'Programming Language :: Python :: 3.4',
            'Programming Language :: Python :: 3.5',
            'Programming Language :: Python :: 3.6',
            'Programming Language :: Python :: 3.7',
            'Development Status :: 4 - Beta',
            'Environment :: Console',
            'Intended Audience :: Developers',
            'License :: OSI Approved :: Apache Software License',
            'Topic :: Software Development :: Build Tools',
            'Topic :: Software Development :: Quality Assurance',
            'Topic :: Software Development :: Testing'
        ],
        entry_points = {
            'console_scripts': ['pyb_ = pybuilder.cli:main']
        },
        data_files = [],
        package_data = {
            'pybuilder': ['LICENSE']
        },
        install_requires = [
            'pip~=9.0',
            'setuptools~=39.0',
            'tailer~=0.4',
            'tblib',
            'wheel~=0.31'
        ],
        dependency_links = [],
        zip_safe = True,
        cmdclass = {'install': install},
        keywords = '',
        python_requires = '!=3.0,!=3.1,!=3.2,!=3.3,<3.8,>=2.7',
        obsoletes = [],
    )
